GNU Radio's TEST Package

Classes | Typedefs | Functions | Variables
osmosdr Namespace Reference

## Classes
class | device
class | device_t
struct | meta_range_t
class | range_t
class | sink
| Takes a stream of complex samples. More...
class | source
| Provides a stream of complex samples. More...
class | time_spec_t

## Typedefs
typedef std::vector< device_t > | devices_t
| A typedef for a vector of logical devices. More...
typedef meta_range_t | gain_range_t
typedef meta_range_t | freq_range_t

## Functions
OSMOSDR_API bool | operator== (const time_spec_t &, const time_spec_t &)
| Implement equality_comparable interface. More...
OSMOSDR_API bool | operator< (const time_spec_t &, const time_spec_t &)
| Implement less_than_comparable interface. More...

## Variables
static const size_t | ALL_MBOARDS = size_t(~0)
| A wildcard motherboard index. More...
static const size_t | ALL_CHANS = size_t(~0)
| A wildcard channel index. More...

## Typedef Documentation

## ◆ devices_t

typedef std::vector<device_t> osmosdr::devices_t

A typedef for a vector of logical devices.

## ◆ freq_range_t

typedef meta_range_t osmosdr::freq_range_t

## ◆ gain_range_t

typedef meta_range_t osmosdr::gain_range_t

## Function Documentation

## ◆ operator<()

OSMOSDR_API bool osmosdr::operator< | ( | const time_spec_t & | ,
|  | const time_spec_t & |
| ) |  |

Implement less_than_comparable interface.

## ◆ operator==()

OSMOSDR_API bool osmosdr::operator== | ( | const time_spec_t & | ,
|  | const time_spec_t & |
| ) |  |

Implement equality_comparable interface.

## Variable Documentation

## ◆ ALL_CHANS

const size_t osmosdr::ALL_CHANS = size_t(~0)
| static

A wildcard channel index.

## ◆ ALL_MBOARDS

const size_t osmosdr::ALL_MBOARDS = size_t(~0)
| static

A wildcard motherboard index.